> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paygood.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a one-time payment

> Creates a one-time payment using a payment instrument and either an active price (`priceId`) or raw amount compatibility (`amount` + `currency`). Optional `description` and `metadata` are stored on the payment.



## OpenAPI

````yaml /openapi.json post /payments
openapi: 3.0.0
info:
  title: PayGood Merchant API
  description: Server-to-server integration surface for merchant API keys.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-sandbox.paygood.co
    description: Sandbox
  - url: https://api.paygood.co
    description: Production
security: []
paths:
  /payments:
    post:
      tags:
        - payments
      summary: Create a one-time payment
      description: >-
        Creates a one-time payment using a payment instrument and either an
        active price (`priceId`) or raw amount compatibility (`amount` +
        `currency`). Optional `description` and `metadata` are stored on the
        payment.
      operationId: PaymentsController_create
      parameters: []
      requestBody:
        required: true
        description: Payment creation payload.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePaymentDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePaymentResponseDto'
        '429':
          description: Too many requests — rate limit exceeded
      security:
        - bearer: []
components:
  schemas:
    CreatePaymentDto:
      type: object
      properties:
        idempotencyKey:
          type: string
          minLength: 1
        customerId:
          type: string
        merchantId:
          type: string
        paymentInstrumentId:
          type: string
        captureMethod:
          default: automatic
          type: string
          enum:
            - automatic
            - manual
        priceId:
          type: string
        amount:
          type: integer
          exclusiveMinimum: true
          maximum: 9007199254740991
          minimum: 0
        currency:
          description: Supported currency code (USD, CAD)
          type: string
          minLength: 3
          maxLength: 3
        description:
          type: string
          minLength: 1
          maxLength: 1000
        metadata:
          type: object
          additionalProperties: {}
      required:
        - idempotencyKey
        - customerId
        - merchantId
        - paymentInstrumentId
    CreatePaymentResponseDto:
      type: object
      properties:
        paymentId:
          type: string
        idempotencyKey:
          type: string
          minLength: 1
        customerId:
          type: string
        merchantId:
          type: string
        paymentInstrumentId:
          type: string
        priceId:
          type: string
        captureMethod:
          type: string
          enum:
            - automatic
            - manual
        description:
          type: string
          minLength: 1
          maxLength: 1000
        metadata:
          type: object
          additionalProperties: {}
        amount:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        currency:
          description: Supported currency code (USD, CAD)
          type: string
          minLength: 3
          maxLength: 3
        status:
          type: string
          enum:
            - pending
            - authorized
            - captured
            - completed
            - voided
            - refunded
            - declined
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        authorizedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        capturedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        voidedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
      required:
        - paymentId
        - idempotencyKey
        - customerId
        - merchantId
        - paymentInstrumentId
        - priceId
        - captureMethod
        - amount
        - currency
        - status
        - createdAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: merchant_<prefix>_<secret>
      type: http
      description: >-
        Merchant API key bearer token. Legacy wire prefixes `api_key_` and
        `api_` are also accepted.

````